Attribute VB_Name = "Module1"
Option Explicit

Private Declare Function GetWindowLong Lib "user32" _
                         Alias "GetWindowLongA" ( _
                         ByVal hWnd As Long, _
                         ByVal nIndex As Long) As Long
                         
Private Declare Function SendMessage Lib "user32" _
                         Alias "SendMessageA" ( _
                         ByVal hWnd As Long, _
                         ByVal wMsg As Long, _
                         ByVal wParam As Long, _
                         lParam As Any) As Long
                         
Private Declare Function FindWindow Lib "user32" _
                         Alias "FindWindowA" ( _
                         ByVal lpClassName As String, _
                         ByVal lpWindowName As String) As Long
                         
Private Declare Function GetWindow Lib "user32" ( _
                         ByVal hWnd As Long, _
                         ByVal wCmd As Long) As Long

Public Const VM_ICON = &H0
Public Const VM_REPORT = &H1
Public Const VM_SMALLICON = &H2
Public Const VM_LIST = &H3

Private Const GW_CHILD = 5
Private Const GWL_STYLE = (-16)
Private Const LVS_TYPEMASK = &H3
Private Const WM_STYLECHANGED = &H7D

Private Type StyleBits
    dwOld As Long
    dwNew As Long
End Type

Public Sub SetDesktopStyle(ByVal Flag As Long)
    
    Dim hWnd As Long
    Dim sb As StyleBits
    
    hWnd = FindWindow("Progman", "Program Manager")
    hWnd = GetWindow(hWnd, GW_CHILD)
    hWnd = GetWindow(hWnd, GW_CHILD)
    
    With sb
        .dwOld = GetWindowLong(hWnd, GWL_STYLE)
        .dwNew = .dwOld
        .dwNew = .dwNew And Not LVS_TYPEMASK
        .dwNew = .dwNew Or Flag
    End With
    
    SendMessage hWnd, WM_STYLECHANGED, GWL_STYLE, sb
    
End Sub

